# List card accounts

**GET** `/issuing/card-accounts`

Retrieve a list of card accounts.

### Query Parameters

- `card_program_id` `string` — Filter card accounts by card program ID.
- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.
- `statuses` `array of strings` — Filter card accounts by status.

**Request**

```shell
curl 'https://api.column.com/issuing/card-accounts' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "card_accounts": [
    {
      "bank_account_id": "bacc_2x8gszy5folpA9s0TOCseE9ABDM",
      "card_program_id": "cpgm_2x8gszy5folpA9s0TOCseE9ABDM",
      "closed_at": null,
      "created_at": "2024-01-15T09:30:00Z",
      "id": "cacc_2x8gszy5folpA9s0TOCseE9ABDM",
      "last_opened_at": "2024-01-15T09:30:00Z",
      "last_suspended_at": null,
      "loan_id": "loan_2x8gszy5folpA9s0TOCseE9ABDM",
      "status": "active"
    }
  ],
  "has_more": false
}
```
